epp_ContactAddress (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.contact.epp_ContactAddress class

### org.openrtk.idl.epp02.contact

# Class epp_ContactAddress

- `java.lang.Object`
- - `org.openrtk.idl.epp02.contact.epp_ContactAddress`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactAddress`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/contact/epp_ContactAddress.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_contact.idl Thursday, July 26, 2001 6:26:12 PM EDT

  ## Field Summary
  `String` | `m_city`
  `String` | `m_country_code`
  `String` | `m_postal_code`
  `String` | `m_state_province`
  `String` | `m_street1`
  `String` | `m_street2`
  `String` | `m_street3`

  ## Constructor Summary
  `epp_ContactAddress()`
  `epp_ContactAddress(String _m_street1, String _m_street2, String _m_street3, String _m_city, String _m_state_province, String _m_postal_code, String _m_country_code)`

  ## Method Summary
  `String` | `getCity()`
  `String` | `getCountryCode()`
  `String` | `getPostalCode()`
  `String` | `getStateProvince()`
  `String` | `getStreet1()`
  `String` | `getStreet2()`
  `String` | `getStreet3()`
  `void` | `setCity(String value)`
  `void` | `setCountryCode(String value)`
  `void` | `setPostalCode(String value)`
  `void` | `setStateProvince(String value)`
  `void` | `setStreet1(String value)`
  `void` | `setStreet2(String value)`
  `void` | `setStreet3(String value)`
  `String` | `toString()`

## Field Details

### m_city

    public String m_city

### m_country_code

    public String m_country_code

### m_postal_code

    public String m_postal_code

### m_state_province

    public String m_state_province

### m_street1

    public String m_street1

### m_street2

    public String m_street2

### m_street3

    public String m_street3

## Constructor Details

### epp_ContactAddress

    public epp_ContactAddress()

### epp_ContactAddress

    public epp_ContactAddress(String _m_street1,
                              String _m_street2,
                              String _m_street3,
                              String _m_city,
                              String _m_state_province,
                              String _m_postal_code,
                              String _m_country_code)

## Method Details

### getCity

    public String getCity()

### getCountryCode

    public String getCountryCode()

### getPostalCode

    public String getPostalCode()

### getStateProvince

    public String getStateProvince()

### getStreet1

    public String getStreet1()

### getStreet2

    public String getStreet2()

### getStreet3

    public String getStreet3()

### setCity

    public void setCity(String value)

### setCountryCode

    public void setCountryCode(String value)

### setPostalCode

    public void setPostalCode(String value)

### setStateProvince

    public void setStateProvince(String value)

### setStreet1

    public void setStreet1(String value)

### setStreet2

    public void setStreet2(String value)

### setStreet3

    public void setStreet3(String value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS